# $Revision: 1.5 $, $Date: 2004/05/06 18:43:06 $
#
# Conditional build:
%bcond_without	tests	# Do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Crypt
%define	pnam	Anubis
Summary:	Crypt::Anubis - Crypt::CBC-compliant block cipher
Summary(pl):	Crypt::Abubis - szyfr blokowy kompatybilny z Crypt::CBC
Name:		perl-Crypt-Anubis
Version:	1.0.4
Release:	1
License:	GPL
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	aa62fb3a199063b5dff8bcbfc632338e
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Anubis is a variable-length key, 128-bit block cipher designed by
Vincent Rijmen and Paulo S. L. M. Barreto. Key length can be 128, 160,
192, 224, 256, 288, or 320 bits. The default key length used in this
implementation is 128 bits (16 bytes). This module supports the
Crypt::CBC interface.

%description -l pl
Anubis to 128-bitowy szyfr blokowy o zmiennej dugoci klucza
opracowany przez Vincenta Rijmena i Paulo S. L. M. Baretto. Klucz moe
mie dugo 128, 160, 192, 224, 256, 228 lub 320 bitw. Domylna
dugo klucza w tej implementacji to 128 bitw (16 bajtw). Ten modu
obsuguje interfejs Crypt::CBC.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

cd examples
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
for f in * ; do
	sed -e "s@#!/usr/local/bin/perl@#!/usr/bin/perl@" $f \
		> $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}/$f
done

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorarch}/Crypt/Anubis.pm
%dir %{perl_vendorarch}/auto/Crypt/Anubis
%{perl_vendorarch}/auto/Crypt/Anubis/Anubis.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Crypt/Anubis/Anubis.so
%{_mandir}/man3/*
%attr(755,root,root) %{_examplesdir}/%{name}-%{version}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Crypt-Anubis.spec,v $
Revision 1.5  2004/05/06 18:43:06  ankry
- fixed perl-devel BR

Revision 1.4  2004/05/05 11:02:10  ankry
- cosmetics

Revision 1.3  2004/04/20 09:55:37  ankry
- new bconds

Revision 1.2  2003/09/21 21:48:19  adamg
- updated to 1.0.4

Revision 1.1  2003/06/17 22:22:49  qboosh
- new

